cURL
curl -X POST "https://api.ionq.co/v0.4/sessions" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"backend": "qpu.forte-1",
"settings": {
"job_count_limit": 10,
"duration_limit_min": 60,
"cost_limit": {
"unit": "usd",
"value": 100
}
}
}'import requests
url = "https://api.ionq.co/v0.4/sessions"
payload = {
"backend": "<string>",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({backend: '<string>', settings: {job_count_limit: 123, duration_limit_min: 123}})
};
fetch('https://api.ionq.co/v0.4/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"backend": "<string>",
"project_id": "<string>",
"creator_id": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"ender_id": "<string>",
"active": true,
"status": "created",
"started_at": "2023-11-07T05:31:56Z",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123,
"cost_limit": {
"unit": "<string>",
"value": 123
},
"expires_at": "2023-11-07T05:31:56Z"
}
}Sessions
Create session
Create a new session for quantum computing jobs.
POST
/
sessions
cURL
curl -X POST "https://api.ionq.co/v0.4/sessions" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"backend": "qpu.forte-1",
"settings": {
"job_count_limit": 10,
"duration_limit_min": 60,
"cost_limit": {
"unit": "usd",
"value": 100
}
}
}'import requests
url = "https://api.ionq.co/v0.4/sessions"
payload = {
"backend": "<string>",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({backend: '<string>', settings: {job_count_limit: 123, duration_limit_min: 123}})
};
fetch('https://api.ionq.co/v0.4/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"backend": "<string>",
"project_id": "<string>",
"creator_id": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"ender_id": "<string>",
"active": true,
"status": "created",
"started_at": "2023-11-07T05:31:56Z",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123,
"cost_limit": {
"unit": "<string>",
"value": 123
},
"expires_at": "2023-11-07T05:31:56Z"
}
}This feature is in beta and only available to select customers today, reach out to [email protected] to request enabling it on your organization.Note: Beta features are subject to change as we gather feedback. Please report any bugs or send feedback to [email protected] or feel free to drop a report in the Community Slack.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Response
201 - application/json
Created
The id of the session.
Available options:
created, started, ended Show child attributes
Show child attributes
Was this page helpful?

